Get all lookups Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/lookups

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[types] string

    Filter by a comma separated list of lookup types.

  • sort string

    Field to sort by. Valid fields are [created_at]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • type string

        Lookup type

      • lookupable_type string

        The model type you are looking up against

      • lookupable_uuid string

        The UUID of the model of the lookup value you are looking up against

      • lookupable_value string

        The description of the model of the lookup value you are looking up against

      • lookup_value string

        A string of a lookup value you are looking up against

      • returnable_type string

        The model type that was found by this lookup

      • returnable_uuid string

        The model UUID that was found by this lookup

      • returnable_value string

        The description of the model that was found by this lookup

      • return_string string

        The return value that was found by this lookup

      • return_json object

        The return value that was found by this lookup

        Hide return_json attributes Show return_json attributes object
        • key_1 string
        • key_2 string
      • return_float number

        The return value that was found by this lookup

GET /api/v1/lookups
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/lookups' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "9c13df0f-e45f-4af2-8b39-8df9bfaab984",
      "created_at": "2026-07-20T16:16:37+01:00",
      "updated_at": "2026-07-20T16:16:37+01:00",
      "type": "provider_statement_mapping",
      "lookupable_type": "provider",
      "lookupable_uuid": "b80af608-91cf-43ba-930f-7ed674430407",
      "lookupable_value": "J Bloggs Plan",
      "lookup_value": "zAbWeFVJ:Bloggs J",
      "returnable_type": "plan",
      "returnable_uuid": "2d09dc82-c176-4659-b75d-f9236b20671a",
      "returnable_value": "example",
      "return_string": "Consectetur officia labore",
      "return_json": {
        "key_1": "value_1",
        "key_2": "value_2"
      },
      "return_float": 70.35
    }
  ]
}